{% load compress %}
{% load i18n hkm_tags %}

<html>
<head>

  <!-- Character encoding. Use utf-8. -->
  <meta charset="utf-8">

  <!--
    IE browser mode.
    http://stackoverflow.com/questions/6771258/whats-the-difference-if-meta-http-equiv-x-ua-compatible-content-ie-edge-e.
  -->
  <meta http-equiv="X-UA-Compatible" content="IE=edge">

  <!--
    Control the device's viewport handling.
    https://developer.mozilla.org/en/docs/Mozilla/Mobile/Viewport_meta_tag
  -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Page title & description (important for SEO). -->
  <title>{% trans 'Kuvaselaamo' %}</title>
  <meta name="description" content="{% trans 'OGDescription' %}" />

  <!-- Window Phone - Better font rendering with cleartpye activated. -->
  <!--[if IEMobile]><meta http-equiv="cleartype" content="on" /><![endif]-->

  <!-- Windows Phone - Tile icon & background color. -->
  <meta name="msapplication-TileImage" content="wp-app-icon-144.png">
  <meta name="msapplication-TileColor" content="#000000">

  <!-- Windows Phone - Turn off tap highlight on windows 8 IE. -->
  <meta name="msapplication-tap-highlight" content="no">

  <!-- og - meta tags -->
  {% block image_meta_tags %}
  {% endblock %}
  <meta property="og:title" content="{% trans 'Kuvaselaamo' %}" />
  <meta
    property="og:description"
    content="{% trans 'OGDescription' %}"
  />
  <meta property="og:type" content="website" />
  <meta id="meta-url" property="og:url" content="" />
  <meta property="og:image:type" content="image/png" />
  <meta property="og:image:width" content="800" />
  <meta property="og:image:height" content="800" />
  <meta property="twitter:card" content="summary_large_image">


  <!--
    Format detection for mobile devices.
    https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariHTMLRef/Articles/MetaTags.html#//apple_ref/doc/uid/TP40008193-SW5
  -->
  <meta name="format-detection" content="telephone=no">
  <meta name="format-detection" content="email=no">

  <!-- iOS web app: makes the web page run in full screen mode when launched from the home screen icon. -->
  <meta name="apple-mobile-web-app-capable" content="yes">

  <!-- iOS web app: styles the bar at the top of the browser. -->
  <meta name="apple-mobile-web-app-status-bar-style" content="default">

  <!-- iOS web app: Specifies a splash image to use when the page is loading. -->
  <link rel="apple-touch-startup-image" href="ios-splash.png">

  <!-- Favicon, optionally place favicon.ico in the root of website. -->
  <link rel="shortcut icon" href="/static/favicon.ico">

  {% block css %}
    <link rel="stylesheet" type="text/css" href="/static/hkm/css/main.css" />
    <link rel="stylesheet" type="text/css" href="/static/hkm/css/cropper.css" />
    <link rel="stylesheet" type="text/css" href="/static/hkm/css/leaflet.css" />
  {% endblock %}


</head>
<body class="{% block body_class %}{% endblock %}">

  {% include 'hkm/snippets/svg_icons.html' %}

  {% include 'hkm/snippets/navigation.html' %}

  <div class="login-modal modal fade {% if login_form.errors %}error{% endif %}" id="login" tabindex="-1" role="dialog">
    <div class="login-modal__dialog modal-dialog modal-sm" role="document">
      <div class="login-modal__content modal-content">
        <div class="login-modal__body modal-body">
          <!--<button class="hkm-btn hkm-btn--default login-modal__btn btn btn-default">{% trans 'Facebook login' %}</button>
          <button class="hkm-btn hkm-btn--default login-modal__btn btn btn-default">{% trans 'Google login' %}</button>-->
          <h4>{% trans 'Login with credentials' %}</h4>
          {% include 'hkm/snippets/login.html' %}
          <a href="#" id="signup-btn" class="login-modal__signup-link" data-toggle="modal" data-target="#sign-up">{% trans 'Sign up' %}</a>
        </div>
      </div>
    </div>
  </div>

  <div class="login-modal modal fade {% if sign_up_form.errors %}error{% endif %}" id="sign-up" tabindex="-1" role="dialog">
    <div class="login-modal__dialog modal-dialog modal-sm" role="document">
      <div class="login-modal__content modal-content">
        <div class="login-modal__body modal-body">
          <h4>{% trans 'Sign up' %}</h4>
          {% include 'hkm/snippets/signup.html' %}
        </div>
      </div>
    </div>
  </div>

  {% block main_content %}{% endblock %}

   {% block footer %}
    <div class="site-footer">
      <div class="footer-row">
        <div class="links-box">
          {% if language == 'fi' %}
            <img src="/static/hkm/svg/Kuvia_fi.svg" class="brand-img">

          {% elif language == 'en' %}
            <img src="/static/hkm/svg/Kuvia_en.svg" class="brand-img">

          {% elif language == 'sv' %}
            <img src="/static/hkm/svg/Kuvia_sv.svg" class="brand-img">

          {% endif%}
          <a href="{% url 'hkm_siteinfo_about' %}"><p>{% trans 'Information about the service' %}</p></a>
          <a href="{% url 'hkm_siteinfo_QA' %}"><p>{% trans 'Frequently asked questions' %}</p></a>
          <a href="{% url 'hkm_siteinfo_terms' %}"><p>{% trans 'Terms of use' %}</p></a>
          <a href="{% url 'hkm_siteinfo_privacy' %}"><p>{% trans 'Privacy policy' %}</p></a>
          <a href="{% url 'hkm_siteinfo_accessibility' %}"><p>{% trans 'Accessibility statement' %}</p></a>
          <p><a href="{% url 'hkm_info' %}">{% trans 'Feedback' %}</a></p>
        </div>
        <div class="links-box">
          <!-- <p>{% trans 'This service is provided by' %}</p> -->
          <a href="http://www.helsinginkaupunginmuseo.fi">
            {% if language == 'fi' %}
              <img src="/static/hkm/svg/Logo_fi.svg" class="brand-img">

            {% elif language == 'en' %}
              <img src="/static/hkm/svg/Logo_en.svg" class="brand-img">

            {% elif language == 'sv' %}
              <img src="/static/hkm/svg/Logo_sv.svg" class="brand-img">

            {% endif%}
          </a>
          <a href="http://www.helsinginkaupunginmuseo.fi/kuvia-esineita-helsinkia/kuva-arkisto/"><p>{% trans 'Kuvaselaamo of Helsinki City Museum' %}</p></a>
          <p><a href="https://www.facebook.com/helsinginkaupunginmuseo/">Facebook</a></p>
          <p><a href="https://twitter.com/kaupunginmuseo/">Twitter</a></p>
          <p><a href="https://www.instagram.com/helsinginkaupunginmuseo/">Instagram</a></p>
        </div>
      </div> <!--endrow-->
  </div>
  {% endblock %}

  {% block js %}
    <script>
      document.querySelector('#meta-url').setAttribute('content', location.href)
    </script>
    <script src="/static/hkm/js/jquery.js"></script>
    <script src="/static/hkm/js/jquery.csrf.js"></script>
    <script src="/static/hkm/js/velocity.js"></script>
    <script src="/static/hkm/js/hammer.js"></script>
    <script src="/static/hkm/js/bootstrap.js"></script>
    <script src="/static/hkm/js/palikka.js"></script>
    <script src="/static/hkm/js/images-loaded.js"></script>
    <script src="/static/hkm/js/flex-images.js"></script>
    <script src="/static/hkm/js/cropper.js"></script>
    <script src="/static/hkm/js/leaflet.js"></script>
    <script src="/static/hkm/js/clipboard.js"></script>
    <script src="/static/hkm/js/hkm-v2.js"></script>
    <script src="/static/hkm/js/buy.js"></script>

    {% if ENABLE_ANALYTICS %}
      <!-- Google Analytics -->
      <script>
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

        ga('create', 'UA-93942001-1', 'auto');
        ga('send', 'pageview');
      </script>
    {% endif %}
  {% endblock %}
  {% block extra_js %}
  {% endblock %}
</body>
</html>
